#ifndef KJBUTTON_H
#define KJBUTTON_H

#include "kjwidget.h"
//#include "kjloader.h"
class KJLoader;

class KJButton : public KJWidget
{
public:
	KJButton(const QStringList&, KJLoader *);
	virtual void paint(QPainter *, const QRect &rect);
	virtual bool mousePress(const QPoint &pos);
	virtual void mouseRelease(const QPoint &pos, bool);
	virtual void showPressed(bool b=true);
	virtual void playlistShown(void);
	virtual void playlistHidden(void);

	virtual QString tip();

private:
	QPixmap mBackground;
	bool mPushedPixmap;
	QPixmap mPressed;
	QString mTitle;
	bool mShowPressed;
};

#endif
